## net.sf.statsvn.util.svnkit
Class SvnKitVersion

    java.lang.Object
      net.sf.statsvn.util.SvnStartupUtils
          net.sf.statsvn.util.svnkit.SvnKitVersion

All Implemented Interfaces:
  ISvnVersionProcessor

    public class SvnKitVersion

extends SvnStartupUtils

Runs svn -version using svnkit. (Possible?)

Author:
  jkealey, yogesh

Field Summary

Fields inherited from class net.sf.statsvn.util.SvnStartupUtils
`processor, SVN_MINIMUM_VERSION, SVN_MINIMUM_VERSION_DIFF_PER_REV`

Constructor Summary
`SvnKitVersion(ISvnProcessor processor)`

Method Summary
`java.lang.String` `checkSvnVersionSufficient()` Verifies that the current revision of SVN is SVN_MINIMUM_VERSION
`SvnKitProcessor` `getSvnKitProcessor()`

Methods inherited from class net.sf.statsvn.util.SvnStartupUtils
`checkDiffPerRevPossible, getProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnKitVersion

    public SvnKitVersion(ISvnProcessor processor)

Method Detail

### getSvnKitProcessor

    public SvnKitProcessor getSvnKitProcessor()

### checkSvnVersionSufficient

    public java.lang.String checkSvnVersionSufficient()
                                               throws SvnVersionMismatchException

  Description copied from interface: `ISvnVersionProcessor`
  Verifies that the current revision of SVN is SVN_MINIMUM_VERSION

  Specified by:
    `checkSvnVersionSufficient` in interface `ISvnVersionProcessor`
  Overrides:
    `checkSvnVersionSufficient` in class `SvnStartupUtils`
  Returns:
    the version string
  Throws:
    `SvnVersionMismatchException` - if SVN executable not found or version less than SVN_MINIMUM_VERSION